Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
index
Backlinks Index
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/index \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.total_backlinks": 123,
  "tasks.result.total_pages": 123,
  "tasks.result.total_domains": 123,
  "tasks.result.index_history": [
    "<string>"
  ],
  "tasks.result.index_history.date": "<string>",
  "tasks.result.index_history.total_backlinks": 123,
  "tasks.result.index_history.total_pages": 123,
  "tasks.result.index_history.total_domains": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the parameters passed in the URL of the GET request

tasks.result
string[]

array of results

total number of backlinks our database contains for the moment of checking

tasks.result.total_pages
integer

total number of pages our database contains for the moment of checking

tasks.result.total_domains
integer

total number of domains our database contains for the moment of checking

tasks.result.index_history
string[]

index volume data for the past 12 months

tasks.result.index_history.date
string

date for which index volume data is provided in the UTC format: “yyyy-mm-dd” example: 2021-10-01

total number of backlinks our database contained on the given date

tasks.result.index_history.total_pages
integer

total number of pages our database contained on the given date

tasks.result.index_history.total_domains
integer

total number of domains our database contained on the given date